<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
HeapDatabaseConfig..::.MaxSize Method
HeapDatabaseConfig Class See Also Send Feedback

Set the maximum on-disk database file size used by the database. If this value is never set, the database's file size can grow without bound. If this value is set, then the heap file can never grow larger than the limit defined by this method. In that case, attempts to update or create records in a database that has reached its maximum size will throw a HeapFullException.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public void MaxSize(
    	uint GBytes,
    	uint Bytes
    )

Visual Basic (Declaration)

    Public Sub MaxSize ( _
    	GBytes As UInteger, _
    	Bytes As UInteger _
    )

Visual C++

    public:
    void MaxSize(
    	unsigned int GBytes,
    	unsigned int Bytes
    )

#### Parameters

GBytes
  Type: System..::.UInt32
  The size of the database is set to GBytes gigabytes plus Bytes.

Bytes
  Type: System..::.UInt32
  The size of the database is set to GBytes gigabytes plus Bytes.

# Remarks

The size specified to this method must be at least three times the database page size. That is, the database must contain at least three database pages. You can set the database page size using PageSize. If this value is set for an existing database, the size specified here must match the size used to create the database. Note, however, that specifying an incorrect size will not result in an error until the database is opened.

# See Also

HeapDatabaseConfig Class
BerkeleyDB Namespace